Subject: bug#72604: closed (Re: bug#72604: 29.2; 29.2; when using customize to set ispell-program-name to ispell, ispell-library-diectory is set correctly, but not for aspell)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 13 Aug 2024 15:42:03 +0000

Your bug report

#72604: 29.2; 29.2; when using customize to set ispell-program-name to ispell, ispell-library-diectory is set correctly, but not for aspell

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
72604: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=72604
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#72604: 29.2; 29.2; when using customize to set ispell-program-name to ispell, ispell-library-diectory is set correctly, but not for aspell
From: Uwe Brauer <[email-masked]>
To: Uwe Brauer <[email-masked]>
Cc: [email-masked], [email-masked], Eli Zaretskii <[email-masked]>
Date: Tue, 13 Aug 2024 17:39:37 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> I run a test again, I was not correct, ispell-change-dictionary offers dictionaries different from English, namely 

>     1. spanish

>     2. And french, including the swiss variant,

>     3. But not German, also the german dictionary can be selected in the command line. Very strange indeed

As suggested in
https://stackoverflow.com/questions/15346723/emacs-and-ispell-error-loading-german8
I had to run 

 sudo apt-get aspell-de

So it was not enough just to install the dictionaries.

Sorry for the noise.

-- 
I strongly condemn Hamas heinous despicable pogroms/atrocities on Israel
I strongly condemn Putin's war of aggression against Ukraine.
I support to deliver weapons to Ukraine's military. 
I support the EU and NATO membership of Ukraine. 

Subject: 29.2; 29.2; when using customize to set ispell-program-name to ispell, ispell-library-diectory is set correctly, but not for aspell
From: Uwe Brauer <[email-masked]>
To: [email-masked]
Date: Tue, 13 Aug 2024 12:06:25 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi

Steps.

    - emacs -Q

    - describe-variable ispell-program-name: /usr/bin/aspell

    - describe-variable ispell-library-directory: nil

    - (setq ispell-program-name "/usr/bin/ispell")

    - describe-variable ispell-library-directory: nil

    - customize-option ispell-program-name /usr/bin/aspell

    - describe-variable ispell-library-directory: nil

    - customize-option ispell-program-name /usr/bin/ispell

    - describe-variable ispell-library-directory: /usr/lib/ispell

Conclusion, customize-option sets ispell-library-diectory correctly if I
set ispell-program-name to ispell /usr/bin/ispell
but not if I set it to ispell /usr/bin/aspell

This is not really a bug, but a lack of a feature, no?

Regards

Uwe Brauer 

In GNU Emacs 29.2 (build 1, x86_64-pc-linux-gnu, X toolkit, cairo
 version 1.18.0, Xaw3d scroll bars) of 2024-07-15 built on Utnapischtim
Windowing system distributor 'The X.Org Foundation', version 11.0.12101011
System Description: Ubuntu 24.04 LTS

Configured using:
 'configure --prefix=/opt/emacs29 --with-x-toolkit=athena --without-pop
 --with-mailutils'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
JSON LCMS2 LIBOTF LIBSELINUX LIBSYSTEMD LIBXML2 M17N_FLT MODULES NOTIFY
INOTIFY PDUMPER PNG RSVG SECCOMP SOUND SQLITE3 THREADS TIFF
TOOLKIT_SCROLL_BARS TREE_SITTER WEBP X11 XAW3D XDBE XIM XINPUT2 XPM
LUCID ZLIB

Important settings:
  value of $LC_ALL: en_US.UTF8
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix

Major mode: ELisp/d

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t

Load-path shadows:
/opt/emacs29/share/emacs/29.2/lisp/bind-key hides /opt/emacs29/share/emacs/29.2/lisp/use-package/bind-key
/opt/emacs29/share/emacs/29.2/lisp/image-dired hides /opt/emacs29/share/emacs/29.2/lisp/image/image-dired
/opt/emacs29/share/emacs/29.2/lisp/makesum hides /opt/emacs29/share/emacs/29.2/lisp/obsolete/makesum
/opt/emacs29/share/emacs/29.2/lisp/net/quickurl hides /opt/emacs29/share/emacs/29.2/lisp/obsolete/quickurl
/opt/emacs29/share/emacs/29.2/lisp/net/rlogin hides /opt/emacs29/share/emacs/29.2/lisp/obsolete/rlogin
/opt/emacs29/share/emacs/29.2/lisp/emacs-lisp/autoload hides /opt/emacs29/share/emacs/29.2/lisp/obsolete/autoload
/opt/emacs29/share/emacs/29.2/lisp/net/netrc hides /opt/emacs29/share/emacs/29.2/lisp/obsolete/netrc
/opt/emacs29/share/emacs/29.2/lisp/mh-e/mh-compat hides /opt/emacs29/share/emacs/29.2/lisp/obsolete/mh-compat
/opt/emacs29/share/emacs/29.2/lisp/thumbs hides /opt/emacs29/share/emacs/29.2/lisp/obsolete/thumbs
/opt/emacs29/share/emacs/29.2/lisp/linum hides /opt/emacs29/share/emacs/29.2/lisp/obsolete/linum
/opt/emacs29/share/emacs/29.2/lisp/url/url-dired hides /opt/emacs29/share/emacs/29.2/lisp/obsolete/url-dired
/opt/emacs29/share/emacs/29.2/lisp/mail/uce hides /opt/emacs29/share/emacs/29.2/lisp/obsolete/uce
/opt/emacs29/share/emacs/29.2/lisp/ps-def hides /opt/emacs29/share/emacs/29.2/lisp/obsolete/ps-def
/opt/emacs29/share/emacs/29.2/lisp/vc/vc-mtn hides /opt/emacs29/share/emacs/29.2/lisp/obsolete/vc-mtn
/opt/emacs29/share/emacs/29.2/lisp/url/url-about hides /opt/emacs29/share/emacs/29.2/lisp/obsolete/url-about

Features:
(shadow sort mail-extr emacsbug message mailcap yank-media puny rfc822
mml mml-sec password-cache epa derived epg rfc6068 epg-config gnus-util
text-property-search mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util mail-prsvr mail-utils time-date subr-x tabify cus-edit pp
cus-start cus-load icons wid-edit cl-print byte-opt gv bytecomp
byte-compile ispell thingatpt help-fns radix-tree help-mode cl-seq vc-hg
diff-mode easy-mmode dired-aux cl-loaddefs cl-lib dired dired-loaddefs
rmc iso-transl tooltip cconv eldoc paren electric uniquify ediff-hook
vc-hooks lisp-float-type elisp-mode mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode lisp-mode prog-mode register
page tab-bar menu-bar rfn-eshadow isearch easymenu timer select
scroll-bar mouse jit-lock font-lock syntax font-core term/tty-colors
frame minibuffer nadvice seq simple cl-generic indonesian philippine
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese composite emoji-zwj charscript
charprop case-table epa-hook jka-cmpr-hook help abbrev obarray oclosure
cl-preloaded button loaddefs theme-loaddefs faces cus-face macroexp
files window text-properties overlay sha1 md5 base64 format env
code-pages mule custom widget keymap hashtable-print-readable backquote
threads dbusbind inotify lcms2 dynamic-setting system-font-setting
font-render-setting cairo x-toolkit xinput2 x multi-tty
make-network-process emacs)

Memory information:
((conses 16 84061 12093)
 (symbols 48 8453 0)
 (strings 32 26995 1432)
 (string-bytes 1 708295)
 (vectors 16 14441)
 (vector-slots 8 198414 13476)
 (floats 8 56 118)
 (intervals 56 848 0)
 (buffers 984 17))